import request from '@/utils/request'

// 服务列表
export function serviceList(data) {
	return request({
		url: '/admin/v1/service/solution_case/kind',
		method: 'post',
		data,
	})
}
// 服务列表-添加
export function serviceAdd(data) {
	return request({
		url: '/admin/v1/service/solution_case/kind/add',
		method: 'post',
		data,
	})
}
// 服务列表-修改
export function serviceEdit(data) {
	return request({
		url: '/admin/v1/service/solution_case/kind/edit',
		method: 'post',
		data,
	})
}
// 服务列表-删除
export function serviceDelete(data) {
	return request({
		url: '/admin/v1/service/solution_case/kind/delete',
		method: 'post',
		data,
	})
}
// 服务类型-select
export function serviceCaseKindSelect() {
	return request({
		url: '/admin/v1/service/solution_case/kind/select',
	})
}

// 服务案例列表
export function serviceCaseList(data) {
	return request({
		url: '/admin/v1/service/solution_case',
		method: 'post',
		data,
	})
}
// 服务案例-添加
export function serviceCaseAdd(data) {
	return request({
		url: '/admin/v1/service/solution_case/add',
		method: 'post',
		data,
	})
}
// 服务案例-详情
export function serviceCaseDetail(data) {
	return request({
		url: '/admin/v1/service/solution_case/detail',
		method: 'post',
		data,
	})
}
// 服务案例-修改
export function serviceCaseEdit(data) {
	return request({
		url: '/admin/v1/service/solution_case/edit',
		method: 'post',
		data,
	})
}
// 服务案例-删除
export function serviceCaseDelete(data) {
	return request({
		url: '/admin/v1/service/solution_case/delete',
		method: 'post',
		data,
	})
}
